Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Class PGPCompressedData

    java.lang.Object
      |
      +--org.bouncycastle.openpgp.PGPCompressedData

All Implemented Interfaces:
  CompressionAlgorithmTags, PacketTags

public class PGPCompressedData
extends java.lang.Object
implements CompressionAlgorithmTags, PacketTags

Compressed data objects.

Field Summary

Fields inherited from interface org.bouncycastle.bcpg.CompressionAlgorithmTags
`UNCOMPRESSED, ZIP, ZLIB`

Fields inherited from interface org.bouncycastle.bcpg.PacketTags
`COMPRESSED_DATA, EXPIRIMENTAL_1, EXPIRIMENTAL_2, EXPIRIMENTAL_3, EXPIRIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

Constructor Summary
`PGPCompressedData(BCPGInputStream pIn)`

Method Summary
`int` | `getAlgorithm()` Return the algorithm used for compression
`java.io.InputStream` | `getDataStream()` Return an uncompressed input stream which allows reading of the compressed data.
`java.io.InputStream` | `getInputStream()` Return the raw input stream contained in the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPCompressedData

    public PGPCompressedData(BCPGInputStream pIn)
                      throws java.io.IOException

Method Detail

### getAlgorithm

    public int getAlgorithm()

  Return the algorithm used for compression

  Returns:
    algorithm code

### getInputStream

    public java.io.InputStream getInputStream()

  Return the raw input stream contained in the object.

  Returns:
    InputStream

### getDataStream

    public java.io.InputStream getDataStream()
                                      throws PGPException

  Return an uncompressed input stream which allows reading of the compressed data.

  Returns:
    InputStream
  Throws:
    `PGPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD